Pdf Sales Invoice Correction
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections/{salesInvoiceCorrectionId}/output/pdf \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections/{salesInvoiceCorrectionId}/output/pdf"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-invoice-corrections/{salesInvoiceCorrectionId}/output/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"aSDinaTvuI8gbWludGxpZnk="{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Sales Invoice Correction
Pdf Sales Invoice Correction
Execute the pdf creation of a sales invoice correction
POST
/
v2
/
sales-invoice-corrections
/
{salesInvoiceCorrectionId}
/
output
/
pdf
Pdf Sales Invoice Correction
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales invoice correction for that the creation of a pdf to start.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Gets the unique identifier for the form (Formular) entity.
Represents a unique key for identifying a form (Formular) entity within the system.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
The Filestream of the Created PDF
The response is of type string<byte>.
Was this page helpful?